Get
curl --request GET \
--url https://api.nebius.cloud/vpc/v1/security-groups/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nebius.cloud/vpc/v1/security-groups/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nebius.cloud/vpc/v1/security-groups/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"metadata": {
"parentId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"labels": {},
"name": "<string>",
"resourceVersion": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
},
"spec": {
"networkId": "<string>"
},
"status": {
"default": true,
"state": "STATE_UNSPECIFIED"
}
}security-groups
Get
Retrieves a security group by its ID.
GET
/
vpc
/
v1
/
security-groups
/
{id}
Get
Authorizations
The Authorization header expects a Bearer token.
Path Parameters
ID of the security group.
Response
200 - application/json
A successful response.
SecurityGroup is a logical grouping of resources used to manage and apply network security policies collectively. Security group applies implicit deny at the end (traffic not matched by any rule will be denied).
Was this page helpful?